@import url('https://fonts.googleapis.com/css2?family=Pridi:wght@200;300;400;500;600;700&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Domine:wght@400..700&family=Literata:ital,opsz,wght@0,7..72,200..900;1,7..72,200..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Serif:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');




/* CUSTOM VAR ****************************************/

:root {
  /* 1C5955*/

  --primary-color: #1C5955;
  --primary-color-very-transparent: #1C595588;
  --primary-color-transparent: #1C5955F5;

  --base-color: #eeeeee;
  --text-color: #111111;

  /* --accent-color: #1D9D94; */
  /* --accent-color-transparent: #1D9D94F5; */
  /* --accent-color-very-transparent: #1D9D9488; */

  --accent-color: #17847C;
  --accent-color-transparent: #17847CF5;
  --accent-color-very-transparent: #17847C88;


  --font-family-sans: Raleway, Arial, Helvetica, sans;
  --font-family-serif: Poppins, Arial, Helvetica, sans;
}

/* GENERAL ****************************************/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


html {
  font-family: Poppins, Arial, Helvetica, sans;
  font-size: 16px;
  /* line-height: 2.1em; */
  color: var(--text-color);
  scroll-behavior: smooth;
}


body {
  /* width: min(1000px, 100%); */
  /* padding: 1em; */
  background-color: var(--base-color);
  overflow-x: hidden; /* Prevent horizontal scroll */
  /* margin: 0 auto; */
  padding-top: 70px;
}


h1, h2, h3 {
   /* font-family: "Noto Serif", "Times New Romans", serif; */
}

h1 {
  font-size: 1.4em;
}


#container {
  max-width: 1100px;
  margin: 0 auto;
}


div.anchor {
    display: block;
    position: relative;
    top: -30px;
    visibility: hidden;
}



/* HEADER AND NAVBAR ****************************************/

header {
  /* display: flex; */
  /* justify-content: center; */

  width: 100%;
  align-items: center;

  position: fixed;
  z-index: 9;
  top: 0;
  left: 0;


  border-top: 1px solid var(--accent-color);
  border-bottom: 1px solid var(--primary-color);


  backdrop-filter: blur(3px);

  /* background: linear-gradient(155deg, var(--accent-color-transparent) 0%, var(--primary-color-transparent) 60%); */
  /* background: radial-gradient(ellipse at top left, var(--accent-color-transparent), var(--primary-color-transparent) 30%); */
  background: radial-gradient(ellipse at top left, var(--accent-color-transparent), var(--primary-color));
  /* background: radial-gradient(ellipse at top left, red, green); */



  /* background: linear-gradient(90deg, var(--accent-color) 0%, var(--primary-color) 100%); */
  box-shadow: 2px 2px 15px 0px var(--primary-color-very-transparent);
}

header nav {

  height: 70px;
  width: 100%;

  display: flex;
  /* justify-content: center; */
  justify-content: space-between;
  align-items: center;
}




/* nav { */
/*   height: 70px; */
/*   display: flex; */
/*   width: 1000px; */
/*   justify-content: flex-end; */
/*   align-items: center; */
/* } */



header nav ul {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;

  margin-right: 7px;
}

header nav ul li {
  height: 100%;
  list-style-type: none;
}

header nav ul li a, #menu-link, #close-link {
  height: 100%;
  padding: 0 20px;
  display: flex;
  align-items: center;
  text-decoration: none;
  text-transform: uppercase;
  color: white;
  font-weight: 500;
  transition: 150ms ease;
}


/* #menu-link { */
/*   height: 100%; */
/*   display: flex; */
/*   align-items: center; */
/*   justify-content: center; */
/* } */


header nav ul li a:hover, #menu-link:hover, #close-link:hover, .active {
  background-color: var(--accent-color);
}


#logo {
  height: 50px;
}

#home-link {
  margin-right: auto;
  margin-left: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#menu-link, #close-link {
  display: none;
}


#menu-link img, #close-link img {
  height: 30px;
}

#sidebar-toggle {
  display: none;
}



/* HERO ****************************************/


.bg-pattern-light {
  --s: 41px; /* control the size*/
  --c1: #eeeeee;
  --c2: #ebebeb;


  --_g: #0000 8%,var(--c1) 0 17%,#0000 0 58%;
  background:
    linear-gradient(135deg,#0000 20.5%,var(--c1) 0 29.5%,#0000 0) 0 calc(var(--s)/4),
    linear-gradient( 45deg,var(--_g)) calc(var(--s)/2) 0,
    linear-gradient(135deg,var(--_g),var(--c1) 0 67%,#0000 0),        
    linear-gradient( 45deg,var(--_g),var(--c1) 0 67%,#0000 0 83%,var(--c1) 0 92%,#0000 0),
    var(--c2);
  background-size: var(--s) var(--s);

  color: var(--text-color);
}


.flex-center {
  display: flex;
  flex-direction: column;
  /* justify-content: center; */
  align-items: center;
}

#hero {
  /* margin-top: 70px; */
  /* padding: 2em; */
  /* margin: 0 auto; */

  /* padding: 0 27px 27px 27px; */
  padding-bottom: 27px;
  /* background: linear-gradient(25deg, white 0%, var(--base-color) 100%); */
}


.centrato {
  width: min(1100px, 100%);

  padding: 40px;
  padding-top: 50px;
}


/* section#studio div.centrato { */
/*   width: min(1100px, 100%); */
/**/
/*   padding: 40px; */
/*   padding-top: 50px; */
/**/
/* } */





section#hero div.centrato {
  width: min(500px, 100%);
  display: flex;
  flex-direction: column;
  /* justify-content: center; */
  align-items: center;

  padding-top: 20px;
  padding-bottom: 20px;
}



section#hero h3 {
  font-weight: 400;
  text-align: center;
  font-size: 1.4em;
  margin-bottom: 30px;

  /* padding: 30px; */
  /* border: 2px solid var(--accent-color-transparent); */
  /* border-radius: 10px; */


}

/* section#hero h3 em { */
/*   font-weight: 700; */
/*   color: white; */
/*   margin-right: 2px; */
/*   margin-left: 2px; */
/*   background-color: var(--primary-color); */
/* } */


section#hero h3 em {
  font-style: normal;
  font-weight: 700;
  color: var(--accent-color);
  font-style: italic;
}



/* section#languages { */
/*   width: 100%; */
/*   display: flex; */
/*   justify-content: center; */
/**/
/* } */



#lang-panel {
  width: min(1100px, 100%);

  padding: 10px 27px 0 27px;
  /* padding-right: 27px; */

  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 10px;


}

/* section#hero #lang-panel p { */
/*   display: flex; */
/*   align-items: center; */
/* } */

section#hero a.lang-link {

  border: 2px solid var(--primary-color-transparent);
  background-color: none;
  background-color: var(--primary-color);

  color: var(--base-color);
  width: 50px;
  /* display: inline-flex; */
  text-align: center;

  font-family: inherit;
  font-weight: 600;
  text-decoration: none;
  font-style: italic;

  padding: 3px;
  /* margin-top: 10px; */
  border-radius: 5px;

  /* justify-content: center; */
  /* align-items: center; */

  /* box-shadow: 2px 2px 15px 0px var(--primary-color-very-transparent); */
  /* border: 1px solid rgba(255, 255, 255, 0.3); */
  transition: 150ms ease;


}


section#hero a.lang-link:hover {

  border: 2px solid var(--accent-color-transparent);
  background-color: var(--accent-color-transparent);
  /* color: var(--base-color); */

  box-shadow: none;
  transform: none;
}



section#hero a.lang-link.active {
  border: 2px solid var(--accent-color);
  color: var(--base-color);
  background-color: var(--accent-color-transparent);
  font-style: normal;
  font-weight: 600;
  cursor: default;

  box-shadow: 0 0 5px 0 var(--accent-color-very-transparent);

}

/* #lang-ico { */
/*   font-size: 1.2em; */
/*   color: var(--primary-color); */
/* } */

#lang-ico {
    display: flex;
    align-items: center;
}

#lang-ico svg {
  fill: var(--primary-color-transparent);
  height: 25px;
  width: 25px;
}


section#hero a#cta-call {
  display: none;
  width: 200px;
}

section#hero a.cta {

  width: 250px;
  display: inline-flex;

  background-color: var(--primary-color-transparent);
  color: white;

  font-family: inherit;
  font-weight: 700;
  text-transform: uppercase;
  text-decoration: none;

  padding: 10px;
  /* margin-top: 10px; */
  border-radius: 4px;

  justify-content: center;
  align-items: center;
  gap: 10px;


  box-shadow: 2px 2px 15px 0px var(--primary-color-very-transparent);
  border: 1px solid rgba(255, 255, 255, 0.3);
  transition: 150ms ease;
}


section#hero a:hover {
  box-shadow: 4px 4px 18px 0px var(--primary-color-very-transparent);
  /* transform: translate(0px, -3px); */
  transform: scale(1.1);
  background-color: var(--accent-color);
}


/* STUDIO ****************************************/



/* #triangle-topright { */
/*   position: relative; */
/*   top: 0px; */
/*   left: 0px; */
/*   z-index: 3; */
/*   width: 0; */
/*   height: 0; */
/*   border-top: 10px solid var(--base-color); */
/*   border-left: 170px solid transparent; */
/* } */



.bg-pattern-dark {
  --s: 41px; /* control the size*/
  --c1: #225451;
  --c2: #1C5955;
  /* --c3: #73002C; */


  --_g: #0000 8%,var(--c1) 0 17%,#0000 0 58%;
  background:
    linear-gradient(135deg,#0000 20.5%,var(--c1) 0 29.5%,#0000 0) 0 calc(var(--s)/4),
    linear-gradient( 45deg,var(--_g)) calc(var(--s)/2) 0,
    linear-gradient(135deg,var(--_g),var(--c1) 0 67%,#0000 0),
    linear-gradient( 45deg,var(--_g),var(--c1) 0 67%,#0000 0 83%,var(--c1) 0 92%,#0000 0),
    var(--c2);
  background-size: var(--s) var(--s);

  color: var(--base-color);

}

.section-header {
  font-family: var(--font-family-serif);
  font-size: 1.9em;
  font-weight: 700;
  margin-bottom: 20px;
  padding: 10px 10px 10px 5px;
}

.section-header-light {
  color: var(--base-color);
  border-bottom: 1px dotted #FFFFFFA4;
  border-top: 1px dotted #FFFFFFA4;

}

.section-header-dark {
  color: var(--primary-color-transparent);
  border-bottom: 1px dotted var(--primary-color-transparent);
  border-top: 1px dotted var(--primary-color-transparent);
}


section#studio p {
  font-size: 1.1em;
  font-weight: 300;
  margin-bottom: 10px;

}



section#studio img {
 width: 100%;
 height: 400px;
 object-fit: cover;
 /* border-top: 1px solid var(--accent-color-transparent); */
 /* border-bottom: 1px solid var(--primary-color-transparent); */
 margin-bottom: 10px;

 box-shadow: 2px 2px 10px 0px #4448;
 border-radius: 15px;
 /* border: 2px solid #444; */
}


div.double-column {
  margin-top: 10px;
  display: flex;
  justify-content: stretch;
  /* flex-wrap: wrap; */
  gap: 40px;

}

div.first-column {
  flex-basis: 50%;
  flex-grow: 1;

  text-align: justify;
  /* max-width: 500px; */
}

div.second-column {
  flex-basis: 50%;
  flex-grow: 1;

  text-align: justify;
  /* max-width: 500px; */
}

/* PROFESSIONISTI ****************************************/



section#professionisti div#cards {
  display: flex;
  flex-direction: column;
  /* justify-content: center; */
  /* align-items: center; */
  gap: 20px;
  width: 100%;
}



section#professionisti section.card {
  display: flex;
  gap: 20px;
  border-radius: 20px;
  color: var(--base-color);
  box-shadow: 0px 0px 15px 0px #4448;
  border-top: 1px solid #FFFFFFCC;
  border-bottom: 1px solid var(--primary-color-very-transparent);
}

section#professionisti section#card-riccio img {
  border-radius: 15px 0 0 15px;
  object-fit: cover;
  width: 400px;
  /* height: 100%; */
  /* height: 400px; */
}

section#professionisti section#card-riccio .card-text {
  margin: 20px 30px 20px 0;
}

section#professionisti section#card-riccio h2 {
  font-weight: 500;
  margin-top: 10px;
  margin-bottom: 20px;
  padding-bottom: 10px;
  border-bottom: 1px solid #FFFFFF24;
  font-size: 1.5em;
}

section#professionisti section#card-riccio p {
  font-weight: 300;
  /* font-style: italic; */
}

section#professionisti section#card-riccio span {
  font-style: italic;
}


section#professionisti section#card-myard img {
  border-radius: 0 15px 15px 0;
  object-fit: cover;
  width: 400px;
  /* height: 400px; */
}

section#professionisti section#card-myard .card-text {
  margin: 20px 0 20px 30px;
  width: 100%;
}

section#professionisti section#card-myard h2 {
  font-weight: 500;
  margin-top: 10px;
  margin-bottom: 20px;
  padding-bottom: 10px;
  border-bottom: 1px solid #FFFFFF24;
  font-size: 1.5em;
  /* text-align: right; */
}

section#professionisti section#card-myard p {
  /* text-align: right; */
  font-weight: 300;
  /* font-style: italic; */
}
section#professionisti section#card-myard span {
  font-style: italic;
}



section#professionisti p {
  font-size: 1.1em;
  font-weight: 400;
  margin-bottom: 10px;

}




/* ATTIVITA ****************************************/



details[open] summary ~ * {
  /* animation: open 0.3s ease-in-out; */
}

@keyframes open {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
details summary::-webkit-details-marker {
  display: none;
}

details summary {
  width: 100%;
  padding: 0.8rem 0;
  border-top: 1px solid var(--base-color);
  position: relative;
  cursor: pointer;
  font-size: 1.25rem;
  font-weight: 300;
  list-style: none;
  padding-left: 10px;
}

 details summary:hover {
   background-color: var(--base-color);
   color: var(--text-color);
   transition: 200ms linear;
 }

 details summary:hover:after {
   color: var(--text-color);
 }


details summary:after {
  padding-right: 10px;
  content: "+";
  color: var(--base-color);
  position: absolute;
  font-size: 1.75rem;
  line-height: 0;
  margin-top: 0.75rem;
  right: 0;
  font-weight: 200;
  transform-origin: center;
  transition: 200ms linear;
}
details[open] summary:after {
  transform: rotate(45deg);
  font-size: 2rem;
}
details summary {
  outline: 0;
  /* color: red; */

  font-size: 1.3em;
  /* font-style: italic; */
  font-weight: 500;
  /* margin-bottom: 5px; */
  /* margin-top: 10px; */
}



section#attivita p {
  margin-bottom: 10px;
  font-style: italic;
}

details ul {
  margin-bottom: 10px;
  margin-top: 20px;
  /* font-size: 1.1em; */
  /* font-size: 0.95rem; */
  /* margin: 0 0 1rem; */
  /* padding-top: 1rem; */
}

details {
  /* background-color: red; */

   /* background-color: #1C595590; */
  background-color: #22545190;
  backdrop-filter: blur(4px);
  /* --c2: #1C5955; */

}


details p {
  font-size: 1.1em;
  line-height: 1.5em;

}

details li  {
  /* background-color: red; */
  padding-bottom: 10px;
}


details p span {
  font-weight: 500;
}


section#attivita {
  font-weight: 200;
}

section#attivita div.first-column,
section#attivita div.second-column {
  font-size: 1.1em;
  text-align: left;
}

section#attivita h2 {
  font-size: 1.3em;
  font-style: italic;
  font-weight: 500;
  margin-bottom: 5px;
  margin-top: 10px;
}

section#attivita ul {
  margin-left: 20px;
}

section#attivita li::marker {
  color: #FFFFFFA4;
  font-size: 0.8rem;
}

section#attivita li {
  margin-top: 2px;
}
section#attivita ul li p {
  padding-left: 5px;
}




/* CONTATTI ****************************************/

section#contatti img {
  width: 100%;
  height: 400px;
  object-fit: cover;
  border: 10px solid var(--primary-color);
  box-shadow: 0 0 5px 0 var(--primary-color-very-transparent);
  transition: 150ms ease;
  border-radius: 15px;
}


section#contatti img:hover {
  border: 10px solid var(--accent-color);
  box-shadow: 0 0 7px 0 var(--primary-color-very-transparent);
}


section#contatti p {
  font-size: 1.1em;
}

section#contatti p em {
  color: var(--primary-color);
  font-weight: 500;
}

section#contatti p span {
  color: var(--primary-color);
  font-weight: 400;
}


header:has(> div > nav > #sidebar-toggle:checked) {
  height: 100vh;
}

section#contatti p:has(>em) {
  margin-bottom: 5px;
}
section#contatti p:has(>a) {
  /* overflow: hidden; */
  word-wrap: break-word;
  margin-top: 5px;
  /* margin-bottom: 30px; */
}

section#contatti a:hover {
  color: var(--primary-color);
  text-decoration: underline;
}

section#contatti a {
  color: var(--text-color);
  /* background-color: var(--primary-color-transparent); */
  /* color: var(--base-color); */
  /* font-weight: 500; */
  text-decoration: none;
  /* padding: 10px 30px; */
  /* border-radius: 5px; */
}



/* FOOTER ****************************************/

footer {


  background: linear-gradient(180deg, var(--accent-color-transparent) -50%, var(--primary-color-transparent) 100%);
  border-top: 1px solid var(--accent-color);

  /* background-color: var(--primary-color); */
  color: var(--base-color);


  text-align: right;
  font-weight: 300;
  font-size: 1.1em;


  box-shadow: 0 -1px 10px 0px var(--primary-color-very-transparent);

  display: flex;
  justify-content: center;

  line-height: 1.2em;

  /* margin-top: 5px; */

}

footer p.bordered {
  font-style: italic;
  border-bottom: 1px solid #FFFFFF24;
  margin-bottom: 5px;
  padding-bottom: 5px;

}

footer span {
  font-weight: 600;
  font-style: normal;
}

#footer-mobile {
  display: none;
}



footer div.centrato {
  padding: 10px 27px 10px 20px;

}



/* MOBILE LAYOUT ****************************************/


@media(max-width: 800px) {



  .centrato {
    padding: 20px;
    padding-top: 50px;
  }


  header nav ul {
    display: none;
  }

  #menu-link {
    display: flex;
  }


  #sidebar-toggle:checked ~ #close-link{
    display: flex;
  }

  #sidebar-toggle:checked ~ ul {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    width: 100vw;
    height: 100vh;

    position: absolute;
    top: 0px;
    right: 0px;
    z-index: 1000;

    margin-right: 0;
    margin-top: 70px;

    /* background: var(--primary-color); */
    /* background: linear-gradient(90deg, var(--accent-color-transparent) 0%, var(--primary-color-transparent) 100%); */
    /* backdrop-filter: blur(10px); */
    /* transition: 500ms ease; */
  }



  /* #sidebar-toggle:checked ~ header { */
  /* } */

  header:has(> div > nav > #sidebar-toggle:checked) {
    height: 100vh;
  }

  #sidebar-toggle:checked ~ ul li {
    width: 100%;
    height: 70px;
  }

  #sidebar-toggle:checked ~ ul li a {
    width: 100%;
    justify-content: flex-end;
    padding-right: 27px;
    border-bottom: 1px solid #FFFFFF24;
  }

  #sidebar-toggle:checked ~ ul li a, .active {
    width: 100%;
    background: none;
  }

  #sidebar-toggle:checked ~ ul li a:hover {
    width: 100%;
    background: var(--accent-color);
  }

  #sidebar-toggle:checked ~ #menu-link{
    display: none;
  }


  #footer-pc {
    display: none;
  }

  #footer-mobile {
    display: block;
  }


  section#hero a#cta-call {
    display: flex;
  }

  section#hero a#cta-mail {
    display: none;
  }


  #lang-panel {
    justify-content: center;
  }

  div.double-column {
    flex-direction: column;
  }

  section#professionisti section#card-riccio {
    flex-direction: column;
    gap: 0;
  }


  section#professionisti section#card-riccio div.card-text {
    margin: 0;
    padding: 0 20px 20px 20px;
  }

  section#professionisti section#card-riccio h2 {
    margin-top: 20px;
  }


  section#professionisti section#card-riccio img {
    border-radius: 15px 15px 0 0;
    width: 100%;
    height: auto;
    border-bottom: 1px solid var(--accent-color-transparent);
  }


  section#professionisti section#card-myard {
    flex-direction: column-reverse;
    gap: 0;
  }

  section#professionisti section#card-myard div.card-text {
    margin: 0;
    padding: 0 20px 20px 20px;
  }

  section#professionisti section#card-myard h2 {
    margin-top: 20px;
    text-align: left;
  }

  section#professionisti section#card-myard p {
    text-align: left;
  }


  section#professionisti section#card-myard img {
    border-radius: 15px 15px 0 0;
    width: 100%;
    height: auto;
    border-bottom: 1px solid var(--accent-color-transparent);
  }


  div.double-column {
    gap: 0px;
  }

  section#contatti img {
    margin-top: 30px;
  }

 details summary:hover {
   color: var(--base-color);
   background-color: #22545190;
   backdrop-filter: blur(4px);
 }

 details summary:hover:after {
   color: var(--base-color);
 }



}
